Bug 226173 - [GTK4] Navigation swipe doesn't work when the page scrolls horizontally
Summary: [GTK4] Navigation swipe doesn't work when the page scrolls horizontally
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-24 03:45 PDT by Alexander Mikhaylenko
Modified: 2021-07-06 04:10 PDT (History)
2 users (show)

See Also:


Attachments
Patch (2.44 KB, patch)
2021-07-05 14:50 PDT, Alexander Mikhaylenko
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Mikhaylenko 2021-05-24 03:45:04 PDT
Self-descriptive really.
Comment 1 Alexander Mikhaylenko 2021-07-05 14:50:34 PDT
Created attachment 432898 [details]
Patch
Comment 2 Alexander Mikhaylenko 2021-07-05 14:51:37 PDT
I've opened a separate https://bugs.webkit.org/show_bug.cgi?id=227691 since that's a different issue and will require a deeper rework (and is not GTK4-specific), but the code was also never ported to GTK4 to begin with, so we can do at least that for now.
Comment 3 Alexander Mikhaylenko 2021-07-05 15:32:48 PDT
Hmm, it depends on https://bugs.webkit.org/show_bug.cgi?id=227678 (not really, but there's a merge conflict otherwise)
Comment 4 EWS 2021-07-06 04:10:25 PDT
Committed r279580 (239411@main): <https://commits.webkit.org/239411@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 432898 [details].